Skip to main content
GET
/
asset_types
/
{asset_type_id}
/
assets
/
{asset_number}
Get Asset by Number
curl --request GET \
  --url https://api.crosoftware.com/v0/asset_types/{asset_type_id}/assets/{asset_number} \
  --header 'Authorization: Bearer <token>' \
  --header 'x-tenant-id: <x-tenant-id>'
import requests

url = "https://api.crosoftware.com/v0/asset_types/{asset_type_id}/assets/{asset_number}"

headers = {
    "x-tenant-id": "<x-tenant-id>",
    "Authorization": "Bearer <token>"
}

response = requests.get(url, headers=headers)

print(response.text)
const options = {
  method: 'GET',
  headers: {'x-tenant-id': '<x-tenant-id>', Authorization: 'Bearer <token>'}
};

fetch('https://api.crosoftware.com/v0/asset_types/{asset_type_id}/assets/{asset_number}', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));


{
  "asset_type_id": 123,
  "asset_type_name": "<string>",
  "condition": 123,
  "is_anonymous": true,
  "last_incident_id": 123,
  "last_job_completion_date": "2023-11-07T05:31:56Z",
  "last_job_id": 123,
  "last_job_type": "<string>",
  "last_job_type_name": "<string>",
  "last_serviced_on": "2023-11-07T05:31:56Z",
  "location": {
    "address": {
      "id": 123,
      "latitude": "<string>",
      "line_1": "<string>",
      "locality": "<string>",
      "longitude": "<string>",
      "region": "<string>",
      "line_2": "<string>",
      "line_3": "<string>",
      "line_4": "<string>",
      "postcode": "<string>"
    },
    "customer_id": 123,
    "description": "<string>",
    "holding_yard_id": 123,
    "in_main_inventory": true,
    "last_moved_on": "2023-11-07T05:31:56Z",
    "name": "<string>"
  },
  "number": "<string>",
  "provider_location_id": 123
}

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Headers

x-api-version
string

Version identifier (date format).

x-tenant-id
integer<int64>
required

Tenant identifier. Contact CRO Software for more info if you don't already have this id. See list tenant ids for info on listing the tenants you have access to.

Path Parameters

asset_type_id
integer<int64>
required

Selected asset for the job (job types 'D', 'L', 'E').

asset_number
string
required

User assigned asset number (free text).

Response

200 - application/json

Success

Asset model.

asset_type_id
integer<int64>
required

Selected asset for the job (job types 'D', 'L', 'E').

asset_type_name
string
required

Asset type name.

condition
integer
required

Asset condition id.

is_anonymous
boolean
required

Indicates whether this asset has a user-assigned asset id.

last_incident_id
integer<int64>
required

Resource identifier.

last_job_completion_date
string<date-time>
required

Scheduled job completion date.

last_job_id
integer<int64>
required

Job id for this asset.

last_job_type
string
required

Request type of the last completed job for this asset.

last_job_type_name
string
required

Display name of the request type for the last completed job.

last_serviced_on
string<date-time>
required

Scheduled job completion date.

location
object
required

Asset location model.

number
string
required

Asset identifier.

provider_location_id
integer<int64>
required

Provider location id for this asset.